function Fig2A - Mettetal(time,Nuclear_Hog1)
%FIG2A - METTETAL    Create plot of datasets and fits
%   FIG2A - METTETAL(TIME,NUCLEAR_HOG1)
%   Creates a plot, similar to the plot in the main curve fitting
%   window, using the data that you provide as input.  You can
%   apply this function to the same data you used with cftool
%   or with different data.  You may want to edit the function to
%   customize the code and this help message.
%
%   Number of datasets:  1
%   Number of fits:  1

 
% Data from dataset "Nuclear_Hog1 vs. time":
%    X = time:
%    Y = Nuclear_Hog1:
%    Unweighted
%
% This function was automatically generated on 23-Jan-2012 12:36:10

% Set up figure to receive datasets and fits
f_ = clf;
figure(f_);
set(f_,'Units','Pixels','Position',[445 130 688 486]);
legh_ = []; legt_ = {};   % handles and text for legend
xlim_ = [Inf -Inf];       % limits of x axis
ax_ = axes;
set(ax_,'Units','normalized','OuterPosition',[0 0 1 1]);
set(ax_,'Box','on');
axes(ax_); hold on;

 
% --- Plot data originally in dataset "Nuclear_Hog1 vs. time"
time = time(:);
Nuclear_Hog1 = Nuclear_Hog1(:);
h_ = line(time,Nuclear_Hog1,'Parent',ax_,'Color',[0.333333 0.666667 0],...
     'LineStyle','none', 'LineWidth',1,...
     'Marker','.', 'MarkerSize',12);
xlim_(1) = min(xlim_(1),min(time));
xlim_(2) = max(xlim_(2),max(time));
legh_(end+1) = h_;
legt_{end+1} = 'Nuclear_Hog1 vs. time';

% Nudge axis limits beyond data limits
if all(isfinite(xlim_))
   xlim_ = xlim_ + [-1 1] * 0.01 * diff(xlim_);
   set(ax_,'XLim',xlim_)
else
    set(ax_, 'XLim',[29.800053999999999, 50.194545999999995]);
end


% --- Create fit "fit 2"
fo_ = fitoptions('method','NonlinearLeastSquares','Lower',[-3.1415999999999999                  10                   0],'Upper',[3.1415999999999999                 20                 10]);
ok_ = isfinite(time) & isfinite(Nuclear_Hog1);
if ~all( ok_ )
    warning( 'GenerateMFile:IgnoringNansAndInfs', ...
        'Ignoring NaNs and Infs in data' );
end
st_ = [0.58350444000846446 0.57759819403625756 0.56281726613181782 ];
set(fo_,'Startpoint',st_);
ft_ = fittype('M*0.4/pi*sin(2*pi/8*x+F)+K*0.1',...
     'dependent',{'y'},'independent',{'x'},...
     'coefficients',{'F', 'K', 'M'});

% Fit this model using new data
cf_ = fit(time(ok_),Nuclear_Hog1(ok_),ft_,fo_);

% Or use coefficients from the original fit:
if 0
   cv_ = { -1.0292709263135784, 13.021432965762827, 0.51217150224681407};
   cf_ = cfit(ft_,cv_{:});
end

% Plot this fit
h_ = plot(cf_,'fit',0.95);
legend off;  % turn off legend from plot method call
set(h_(1),'Color',[1 0 0],...
     'LineStyle','-', 'LineWidth',2,...
     'Marker','none', 'MarkerSize',6);
legh_(end+1) = h_(1);
legt_{end+1} = 'fit 2';

% Done plotting data and fits.  Now finish up loose ends.
hold off;
leginfo_ = {'Orientation', 'vertical'}; 
h_ = legend(ax_,legh_,legt_,leginfo_{:}); % create and reposition legend
set(h_,'Units','normalized');
t_ = get(h_,'Position');
t_(1:2) = [0.702098,0.827314];
set(h_,'Interpreter','none','Position',t_);
xlabel(ax_,'');               % remove x label
ylabel(ax_,'');               % remove y label
