% Example in Chapter 3 showing the 
% variability in the number of equilibrium points 
% of a nonlinear system as the parameters change

q=20;
r=0.4;
x=linspace(0,30,200);
f1=r*(1-x/q);
f2=x./(1+x.^2);

% Plot the functions to show the intersections
figure
plot(x,f2)
hold
plot(x,f1);
plot(0.1525,0.14885,'.','MarkerSize',12)

r=0.15;
f1=r*(1-x/q);
plot(x,f1);
plot([0.48573,2.4371,17.083],[0.39027,0.3513,0.05835],'.','MarkerSize',12)

r=0.6;
f1=r*(1-x/q);
plot(x,f1);
plot(18.1711,0.0549,'.','MarkerSize',12)